// Automatically generated Wed Dec 14 10:25:22 EET 2022

#ifndef VMM_MMAP_H
#define VMM_MMAP_H

#define VMM_RESET_CONTROL          0x0       
#define VMM_RESET_CONTROL_INIT     0x110000  
#define SRAM_DIN_CONTROL_ADDR      0x4       
#define VMM_READY_SRAM_DOUT        0x8       
#define ADC_0                      0xc       
#define ADC_1                      0x10      
#define ADC_2                      0x14      
#define ADC_3                      0x18      
#define ADC_4                      0x1c      
#define ADC_5                      0x20      
#define ADC_6                      0x24      
#define ADC_7                      0x28      
#define ADC_8                      0x2c      
#define ADC_9                      0x30      
#define ADC_10                     0x34      
#define ADC_11                     0x38      
#define ADC_12                     0x3c      
#define ADC_13                     0x40      
#define ADC_14                     0x44      
#define ADC_15                     0x48      
#define ADC_16                     0x4c      
#define ADC_17                     0x50      
#define ADC_18                     0x54      
#define ADC_19                     0x58      
#define ADC_20                     0x5c      
#define ADC_21                     0x60      
#define ADC_22                     0x64      
#define ADC_23                     0x68      
#define ADC_24                     0x6c      
#define ADC_25                     0x70      
#define ADC_26                     0x74      
#define ADC_27                     0x78      
#define ADC_28                     0x7c      
#define ADC_29                     0x80      
#define ADC_30                     0x84      
#define ADC_31                     0x88      
#define COUNT_CONFIG_IN_0          0x8c      
#define MONITOR_CONFIG_IN_0        0x90      
#define COUNT_CONFIG_IN_1          0x94      
#define MONITOR_CONFIG_IN_1        0x98      
#define COUNT_CONFIG_IN_2          0x9c      
#define MONITOR_CONFIG_IN_2        0xa0      
#define COUNT_CONFIG_IN_3          0xa4      
#define MONITOR_CONFIG_IN_3        0xa8      
#define COUNT_CONFIG_IN_4          0xac      
#define MONITOR_CONFIG_IN_4        0xb0      
#define COUNT_CONFIG_IN_5          0xb4      
#define MONITOR_CONFIG_IN_5        0xb8      
#define COUNT_CONFIG_IN_6          0xbc      
#define MONITOR_CONFIG_IN_6        0xc0      
#define COUNT_CONFIG_IN_7          0xc4      
#define MONITOR_CONFIG_IN_7        0xc8      
#define COUNT_CONFIG_IN_8          0xcc      
#define MONITOR_CONFIG_IN_8        0xd0      
#define COUNT_CONFIG_IN_9          0xd4      
#define MONITOR_CONFIG_IN_9        0xd8      
#define COUNT_CONFIG_IN_10         0xdc      
#define MONITOR_CONFIG_IN_10       0xe0      
#define COUNT_CONFIG_IN_11         0xe4      
#define MONITOR_CONFIG_IN_11       0xe8      
#define COUNT_CONFIG_IN_12         0xec      
#define MONITOR_CONFIG_IN_12       0xf0      
#define COUNT_CONFIG_IN_13         0xf4      
#define MONITOR_CONFIG_IN_13       0xf8      
#define COUNT_CONFIG_IN_14         0xfc      
#define MONITOR_CONFIG_IN_14       0x100     
#define COUNT_CONFIG_IN_15         0x104     
#define MONITOR_CONFIG_IN_15       0x108     
#define COUNT_CONFIG_IN_16         0x10c     
#define MONITOR_CONFIG_IN_16       0x110     
#define COUNT_CONFIG_IN_17         0x114     
#define MONITOR_CONFIG_IN_17       0x118     
#define COUNT_CONFIG_IN_18         0x11c     
#define MONITOR_CONFIG_IN_18       0x120     
#define COUNT_CONFIG_IN_19         0x124     
#define MONITOR_CONFIG_IN_19       0x128     
#define COUNT_CONFIG_IN_20         0x12c     
#define MONITOR_CONFIG_IN_20       0x130     
#define COUNT_CONFIG_IN_21         0x134     
#define MONITOR_CONFIG_IN_21       0x138     
#define COUNT_CONFIG_IN_22         0x13c     
#define MONITOR_CONFIG_IN_22       0x140     
#define COUNT_CONFIG_IN_23         0x144     
#define MONITOR_CONFIG_IN_23       0x148     
#define COUNT_CONFIG_IN_24         0x14c     
#define MONITOR_CONFIG_IN_24       0x150     
#define COUNT_CONFIG_IN_25         0x154     
#define MONITOR_CONFIG_IN_25       0x158     
#define COUNT_CONFIG_IN_26         0x15c     
#define MONITOR_CONFIG_IN_26       0x160     
#define COUNT_CONFIG_IN_27         0x164     
#define MONITOR_CONFIG_IN_27       0x168     
#define COUNT_CONFIG_IN_28         0x16c     
#define MONITOR_CONFIG_IN_28       0x170     
#define COUNT_CONFIG_IN_29         0x174     
#define MONITOR_CONFIG_IN_29       0x178     
#define COUNT_CONFIG_IN_30         0x17c     
#define MONITOR_CONFIG_IN_30       0x180     
#define COUNT_CONFIG_IN_31         0x184     
#define MONITOR_CONFIG_IN_31       0x188     
#define COUNT_CONFIG_IN_32         0x18c     
#define MONITOR_CONFIG_IN_32       0x190     
#define COUNT_CONFIG_IN_33         0x194     
#define MONITOR_CONFIG_IN_33       0x198     
#define COUNT_CONFIG_IN_34         0x19c     
#define MONITOR_CONFIG_IN_34       0x1a0     
#define COUNT_CONFIG_IN_35         0x1a4     
#define MONITOR_CONFIG_IN_35       0x1a8     
#define COUNT_CONFIG_OP_0          0x1ac     
#define MONITOR_CONFIG_OP_0        0x1b0     
#define COUNT_CONFIG_OP_1          0x1b4     
#define MONITOR_CONFIG_OP_1        0x1b8     
#define COUNT_CONFIG_OP_2          0x1bc     
#define MONITOR_CONFIG_OP_2        0x1c0     
#define COUNT_CONFIG_OP_3          0x1c4     
#define MONITOR_CONFIG_OP_3        0x1c8     
#define COUNT_CONFIG_OP_4          0x1cc     
#define MONITOR_CONFIG_OP_4        0x1d0     
#define COUNT_CONFIG_OP_5          0x1d4     
#define MONITOR_CONFIG_OP_5        0x1d8     
#define COUNT_CONFIG_OP_6          0x1dc     
#define MONITOR_CONFIG_OP_6        0x1e0     
#define COUNT_CONFIG_OP_7          0x1e4     
#define MONITOR_CONFIG_OP_7        0x1e8     
#define COUNT_CONFIG_OP_8          0x1ec     
#define MONITOR_CONFIG_OP_8        0x1f0     
#define COUNT_CONFIG_OP_9          0x1f4     
#define MONITOR_CONFIG_OP_9        0x1f8     
#define COUNT_CONFIG_OP_10         0x1fc     
#define MONITOR_CONFIG_OP_10       0x200     
#define COUNT_CONFIG_OP_11         0x204     
#define MONITOR_CONFIG_OP_11       0x208     
#define COUNT_CONFIG_OP_12         0x20c     
#define MONITOR_CONFIG_OP_12       0x210     
#define COUNT_CONFIG_OP_13         0x214     
#define MONITOR_CONFIG_OP_13       0x218     
#define COUNT_CONFIG_OP_14         0x21c     
#define MONITOR_CONFIG_OP_14       0x220     
#define COUNT_CONFIG_OP_15         0x224     
#define MONITOR_CONFIG_OP_15       0x228     
#define COUNT_CONFIG_OP_16         0x22c     
#define MONITOR_CONFIG_OP_16       0x230     
#define COUNT_CONFIG_OP_17         0x234     
#define MONITOR_CONFIG_OP_17       0x238     
#define COUNT_CONFIG_OP_18         0x23c     
#define MONITOR_CONFIG_OP_18       0x240     
#define COUNT_CONFIG_OP_19         0x244     
#define MONITOR_CONFIG_OP_19       0x248     
#define COUNT_CONFIG_OP_20         0x24c     
#define MONITOR_CONFIG_OP_20       0x250     
#define COUNT_CONFIG_OP_21         0x254     
#define MONITOR_CONFIG_OP_21       0x258     
#define COUNT_CONFIG_OP_22         0x25c     
#define MONITOR_CONFIG_OP_22       0x260     
#define COUNT_CONFIG_OP_23         0x264     
#define MONITOR_CONFIG_OP_23       0x268     
#define COUNT_CONFIG_OP_24         0x26c     
#define MONITOR_CONFIG_OP_24       0x270     
#define COUNT_CONFIG_OP_25         0x274     
#define MONITOR_CONFIG_OP_25       0x278     
#define COUNT_CONFIG_OP_26         0x27c     
#define MONITOR_CONFIG_OP_26       0x280     
#define COUNT_CONFIG_OP_27         0x284     
#define MONITOR_CONFIG_OP_27       0x288     
#define COUNT_CONFIG_OP_28         0x28c     
#define MONITOR_CONFIG_OP_28       0x290     
#define COUNT_CONFIG_OP_29         0x294     
#define MONITOR_CONFIG_OP_29       0x298     
#define COUNT_CONFIG_OP_30         0x29c     
#define MONITOR_CONFIG_OP_30       0x2a0     
#define COUNT_CONFIG_OP_31         0x2a4     
#define MONITOR_CONFIG_OP_31       0x2a8     
#define COUNT_CONFIG_OP_32         0x2ac     
#define MONITOR_CONFIG_OP_32       0x2b0     
#define COUNT_CONFIG_OP_33         0x2b4     
#define MONITOR_CONFIG_OP_33       0x2b8     
#define COUNT_CONFIG_OP_34         0x2bc     
#define MONITOR_CONFIG_OP_34       0x2c0     
#define COUNT_CONFIG_OP_35         0x2c4     
#define MONITOR_CONFIG_OP_35       0x2c8     
#define COUNT_CONFIG_OP_36         0x2cc     
#define MONITOR_CONFIG_OP_36       0x2d0     
#define COUNT_CONFIG_OP_37         0x2d4     
#define MONITOR_CONFIG_OP_37       0x2d8     
#define COUNT_CONFIG_OP_38         0x2dc     
#define MONITOR_CONFIG_OP_38       0x2e0     
#define COUNT_CONFIG_OP_39         0x2e4     
#define MONITOR_CONFIG_OP_39       0x2e8     
#define COUNT_CONFIG_OP_40         0x2ec     
#define MONITOR_CONFIG_OP_40       0x2f0     
#define COUNT_CONFIG_OP_41         0x2f4     
#define MONITOR_CONFIG_OP_41       0x2f8     
#define COUNT_CONFIG_OP_42         0x2fc     
#define MONITOR_CONFIG_OP_42       0x300     
#define COUNT_CONFIG_OP_43         0x304     
#define MONITOR_CONFIG_OP_43       0x308     
#define COUNT_CONFIG_OP_44         0x30c     
#define MONITOR_CONFIG_OP_44       0x310     
#define COUNT_CONFIG_OP_45         0x314     
#define MONITOR_CONFIG_OP_45       0x318     
#define COUNT_CONFIG_OP_46         0x31c     
#define MONITOR_CONFIG_OP_46       0x320     
#define COUNT_CONFIG_OP_47         0x324     
#define MONITOR_CONFIG_OP_47       0x328     
#define COUNT_CONFIG_OP_48         0x32c     
#define MONITOR_CONFIG_OP_48       0x330     
#define COUNT_CONFIG_OP_49         0x334     
#define MONITOR_CONFIG_OP_49       0x338     
#define COUNT_CONFIG_OP_50         0x33c     
#define MONITOR_CONFIG_OP_50       0x340     
#define COUNT_CONFIG_OP_51         0x344     
#define MONITOR_CONFIG_OP_51       0x348     
#define COUNT_CONFIG_OP_52         0x34c     
#define MONITOR_CONFIG_OP_52       0x350     
#define COUNT_CONFIG_OP_53         0x354     
#define MONITOR_CONFIG_OP_53       0x358     
#define COUNT_CONFIG_OP_54         0x35c     
#define MONITOR_CONFIG_OP_54       0x360     
#define COUNT_CONFIG_OP_55         0x364     
#define MONITOR_CONFIG_OP_55       0x368     
#define COUNT_CONFIG_OP_56         0x36c     
#define MONITOR_CONFIG_OP_56       0x370     
#define COUNT_CONFIG_OP_57         0x374     
#define MONITOR_CONFIG_OP_57       0x378     
#define COUNT_CONFIG_OP_58         0x37c     
#define MONITOR_CONFIG_OP_58       0x380     
#define COUNT_CONFIG_OP_59         0x384     
#define MONITOR_CONFIG_OP_59       0x388     
#define COUNT_CONFIG_OP_60         0x38c     
#define MONITOR_CONFIG_OP_60       0x390     
#define COUNT_CONFIG_OP_61         0x394     
#define MONITOR_CONFIG_OP_61       0x398     
#define COUNT_CONFIG_OP_62         0x39c     
#define MONITOR_CONFIG_OP_62       0x3a0     
#define COUNT_CONFIG_OP_63         0x3a4     
#define MONITOR_CONFIG_OP_63       0x3a8     

#endif /* VMM_MMAP_H */